/* 
 *  Author: Chris Lord <chris@openedhand.com>
 *
 *  Copyright (c) 2007 OpenedHand Ltd - http://www.openedhand.com/
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 */
 
#ifndef JANA_ECAL_STORE_VIEW_H
#define JANA_ECAL_STORE_VIEW_H

#include <glib-object.h>
#include <libecal/e-cal-view.h>
#include <libjana/jana-store-view.h>
#include <libjana-ecal/jana-ecal-store.h>

#define JANA_ECAL_TYPE_STORE_VIEW	(jana_ecal_store_view_get_type ())
#define JANA_ECAL_STORE_VIEW(obj)	(G_TYPE_CHECK_INSTANCE_CAST ((obj), \
					 JANA_ECAL_TYPE_STORE_VIEW, \
					 JanaEcalStoreView))
#define JANA_ECAL_STORE_VIEW_CLASS(vtable)	(G_TYPE_CHECK_CLASS_CAST \
						 ((vtable), \
						 JANA_ECAL_TYPE_STORE_VIEW, \
						 JanaEcalStoreViewClass))
#define JANA_ECAL_IS_STORE_VIEW(obj)	(G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
					 JANA_ECAL_TYPE_STORE_VIEW))
#define JANA_ECAL_IS_STORE_VIEW_CLASS(vtable)	(G_TYPE_CHECK_CLASS_TYPE \
						 ((vtable), \
						 JANA_ECAL_TYPE_STORE_VIEW))
#define JANA_ECAL_STORE_VIEW_GET_CLASS(inst)	(G_TYPE_INSTANCE_GET_CLASS \
						 ((inst), \
						 JANA_ECAL_TYPE_STORE_VIEW, \
						 JanaEcalStoreViewClass))


typedef struct _JanaEcalStoreView JanaEcalStoreView;
typedef struct _JanaEcalStoreViewClass JanaEcalStoreViewClass;

struct _JanaEcalStoreView {
	GObject parent;
};

struct _JanaEcalStoreViewClass {
	GObjectClass parent;
};

GType jana_ecal_store_view_get_type (void);

JanaStoreView *jana_ecal_store_view_new (JanaEcalStore *store);

#endif /* JANA_ECAL_STORE_VIEW_H */

