/* 
 *  Author: Chris Lord <chris@openedhand.com>
 *
 *  Copyright (c) 2007 OpenedHand Ltd - http://www.openedhand.com/
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 */

#ifndef JANA_ECAL_TIME_H
#define JANA_ECAL_TIME_H

#include <glib-object.h>
#include <libical/ical.h>
#include <libjana/jana-time.h>

#define JANA_ECAL_TYPE_TIME		(jana_ecal_time_get_type ())
#define JANA_ECAL_TIME(obj)		(G_TYPE_CHECK_INSTANCE_CAST ((obj), \
					 JANA_ECAL_TYPE_TIME, JanaEcalTime))
#define JANA_ECAL_TIME_CLASS(vtable)	(G_TYPE_CHECK_CLASS_CAST ((vtable), \
					 JANA_ECAL_TYPE_TIME,JanaEcalTimeClass))
#define JANA_ECAL_IS_TIME(obj)		(G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
					 JANA_ECAL_TYPE_TIME))
#define JANA_ECAL_IS_TIME_CLASS(vtable)	(G_TYPE_CHECK_CLASS_TYPE ((vtable), \
					 JANA_ECAL_TYPE_TIME))
#define JANA_ECAL_TIME_GET_CLASS(inst)	(G_TYPE_INSTANCE_GET_CLASS ((inst), \
					 JANA_ECAL_TYPE_TIME,JanaEcalTimeClass))


typedef struct _JanaEcalTime JanaEcalTime;
typedef struct _JanaEcalTimeClass JanaEcalTimeClass;

struct _JanaEcalTime {
	GObject parent;
};

struct _JanaEcalTimeClass {
	GObjectClass parent;
};

GType jana_ecal_time_get_type (void);

JanaTime *jana_ecal_time_new ();
JanaTime *jana_ecal_time_new_from_icaltime (const icaltimetype *time);

void jana_ecal_time_set_location (JanaEcalTime *self, const gchar *location);

const gchar *jana_ecal_time_get_location (JanaEcalTime *self);

#endif /* JANA_ECAL_TIME_H */

