/* 
 *  Author: Chris Lord <chris@openedhand.com>
 *
 *  Copyright (c) 2007 OpenedHand Ltd - http://www.openedhand.com/
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 */

#ifndef _JANA_GTK_EVENT_LIST_H
#define _JANA_GTK_EVENT_LIST_H

#include <glib-object.h>
#include <gtk/gtk.h>
#include <libjana-gtk/jana-gtk-event-store.h>

G_BEGIN_DECLS

#define JANA_GTK_TYPE_EVENT_LIST jana_gtk_event_list_get_type()

#define JANA_GTK_EVENT_LIST(obj) \
	(G_TYPE_CHECK_INSTANCE_CAST ((obj), \
	JANA_GTK_TYPE_EVENT_LIST, JanaGtkEventList))

#define JANA_GTK_EVENT_LIST_CLASS(klass) \
	(G_TYPE_CHECK_CLASS_CAST ((klass), \
	JANA_GTK_TYPE_EVENT_LIST, JanaGtkEventListClass))

#define JANA_GTK_IS_EVENT_LIST(obj) \
	(G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
	JANA_GTK_TYPE_EVENT_LIST))

#define JANA_GTK_IS_EVENT_LIST_CLASS(klass) \
	(G_TYPE_CHECK_CLASS_TYPE ((klass), \
	JANA_GTK_TYPE_EVENT_LIST))

#define JANA_GTK_EVENT_LIST_GET_CLASS(obj) \
	(G_TYPE_INSTANCE_GET_CLASS ((obj), \
	JANA_GTK_TYPE_EVENT_LIST, JanaGtkEventListClass))

typedef struct {
	GtkTreeView parent;
} JanaGtkEventList;

typedef struct {
	GtkTreeViewClass parent_class;
} JanaGtkEventListClass;

enum {
	JANA_GTK_EVENT_LIST_COL_ROW,
	JANA_GTK_EVENT_LIST_COL_TIME,
	JANA_GTK_EVENT_LIST_COL_HEADER,
	JANA_GTK_EVENT_LIST_COL_IS_EVENT,
	JANA_GTK_EVENT_LIST_COL_IS_HEADER,
	JANA_GTK_EVENT_LIST_COL_LAST
};

GType jana_gtk_event_list_get_type (void);

GtkWidget* jana_gtk_event_list_new (void);

void	jana_gtk_event_list_add_store		(JanaGtkEventList *self,
						 JanaGtkEventStore *store);
void	jana_gtk_event_list_remove_store	(JanaGtkEventList *self,
						 JanaGtkEventStore *store);
GtkTreeModelFilter *	jana_gtk_event_list_get_filter
						(JanaGtkEventList *self);
void	jana_gtk_event_list_refilter		(JanaGtkEventList *self);

G_END_DECLS

#endif /* _JANA_GTK_EVENT_LIST_H */

