/* 
 *  Author: Chris Lord <chris@openedhand.com>
 *
 *  Copyright (c) 2007 OpenedHand Ltd - http://www.openedhand.com/
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2, or (at your option)
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 */

#include "jana-store.h"

static void
jana_store_base_init (gpointer g_class)
{
	static gboolean initialized = FALSE;

	if (!initialized) {
		g_signal_new ("opened",
			G_OBJECT_CLASS_TYPE (g_class),
			G_SIGNAL_RUN_LAST,
			G_STRUCT_OFFSET (JanaStoreInterface, opened),
			NULL, NULL,
			g_cclosure_marshal_VOID__VOID,
			G_TYPE_NONE, 0);
		initialized = TRUE;
	}
}

GType
jana_store_get_type (void)
{
	static GType type = 0;
	if (type == 0) {
		static const GTypeInfo info = {
			sizeof (JanaStoreInterface),
			jana_store_base_init,   /* base_init */
			NULL,

		};
		type = g_type_register_static (G_TYPE_INTERFACE,
			"JanaStore", &info, 0);
	}
	return type;
}

void
jana_store_open (JanaStore *self)
{
	JANA_STORE_GET_INTERFACE (self)->open (self);
}

JanaComponent *
jana_store_get_component (JanaStore *self, const gchar *uid)
{
	return JANA_STORE_GET_INTERFACE (self)->get_component (self, uid);
}

JanaStoreView *
jana_store_get_view (JanaStore *self)
{
	return JANA_STORE_GET_INTERFACE (self)->get_view (self);
}

void
jana_store_add_component (JanaStore *self, JanaComponent *comp)
{
	return JANA_STORE_GET_INTERFACE (self)->add_component (self, comp);
}

void
jana_store_modify_component (JanaStore *self, JanaComponent *comp)
{
	return JANA_STORE_GET_INTERFACE (self)->modify_component (self, comp);
}

void
jana_store_remove_component (JanaStore *self, JanaComponent *comp)
{
	return JANA_STORE_GET_INTERFACE (self)->remove_component (self, comp);
}

