/*
 *  openmoko-dates -- OpenMoko Calendar Application
 *
 *  Authored by Chris Lord <chris@openedhand.com>
 *
 *  Copyright (C) 2006-2007 OpenMoko Inc.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser Public License as published by
 *  the Free Software Foundation; version 2 of the license.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser Public License for more details.
 *
 *  Current Version: $Rev$ ($Date$) [$Author$]
 */

#ifndef DATES_UTILS_H
#define DATES_UTILS_H

#include <gtk/gtk.h>
#include <libmokoui2/moko-search-bar.h>
#include <libjana-gtk/jana-gtk.h>
#include "dates.h"

GtkToolItem * dates_utils_toolbutton_new (const gchar *icon_name);

GtkToolItem * dates_utils_toggle_toolbutton_new (const gchar *icon_name);

void dates_utils_refresh_query (DatesData *data);

gchar *dates_utils_casefold_replace (gchar *string);

void dates_utils_fill_category_bar (DatesData *data, MokoSearchBar *bar);

void dates_utils_update_category_bars (DatesData *data);

GList *dates_utils_insert_preset_categories (GList *category_list);

void dates_utils_create_new_event (DatesData *data, JanaTime *time);

gboolean dates_utils_event_store_filter_cb (GtkTreeModel *model,
					    GtkTreeIter *iter, DatesData *data);

gboolean dates_utils_event_list_filter_cb (GtkTreeModel *model,
					   GtkTreeIter *iter, DatesData *data);

void dates_utils_event_list_selection_changed_cb (GtkTreeSelection *selection,
						  DatesData *data);

JanaTime * dates_utils_event_list_get_time (JanaGtkEventList *list);

#endif /* DATES_UTILS_H */
