/*
 *  openmoko-dates -- OpenMoko Calendar Application
 *
 *  Authored by Chris Lord <chris@openedhand.com>
 *
 *  Copyright (C) 2006-2007 OpenMoko Inc.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser Public License as published by
 *  the Free Software Foundation; version 2 of the license.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser Public License for more details.
 *
 *  Current Version: $Rev$ ($Date$) [$Author$]
 */

#ifndef DATES_H
#define DATES_H

#include <gtk/gtk.h>
#include <libjana/jana.h>

typedef struct {
	GList *stores;		/* List of JanaStore's */
	GList *views;		/* List of JanaStoreView's */
	GList *models;		/* List of GtkTreeModelFilter's containing
				 * JanaGtkEventStore's
				 */
	
	JanaTime *start;	/* Query range */
	JanaTime *end;
	gchar *location;
	
	gchar *search;		/* Search string */
	gchar *category;	/* Filter category */
	GList *category_list;
	guint category_idle;
	GHashTable *category_color_hash; /* GdkColor/category hash */

	GtkWidget *window;
	GtkWidget *notebook;
	gint last_page;
	
	GtkWidget *list_view;	/* JanaGtkEventList widget */
	GtkWidget *list_searchbar;
	JanaTime *list_time;
	
	GtkWidget *week_view;	/* JanaGtkDayView widget */
	GtkWidget *week_searchbar;
	JanaTime *week_time;
	GtkWidget *week_preview_box;
	GtkCellRenderer *week_preview_renderer;

	GtkWidget *month_view;	/* JanaGtkMonthView widget */
	GtkWidget *month_list_view;
	GtkWidget *month_searchbar;

	GtkWidget *year_view;	/* Placeholder widget */
	
	JanaStore *selected_store;	/* Store the selected event is in.
					 * NULL when creating a new event
					 */
	JanaEvent *selected_event;	/* Selected event */
	
	gboolean editing;	/* If we're editing the selected event */
	
	GtkToolItem *edit_button;	/* UI widgets for Detail/edit view */
	GtkWidget *category_combo;
	GtkWidget *summary_entry;
	GtkWidget *location_entry;
	GtkWidget *description_frame;
	GtkWidget *description_text_view;
	GtkWidget *allday_check_button;
	GtkWidget *start_frame;
	GtkWidget *start_label;
	GtkWidget *start_toggle;
	GtkWidget *start_ebox;
	GtkWidget *start_align;
	GtkWidget *start_datetime;
	GtkWidget *end_frame;
	GtkWidget *end_label;
	GtkWidget *end_toggle;
	GtkWidget *end_ebox;
	GtkWidget *end_align;
	GtkWidget *end_datetime;
} DatesData;

#endif /* DATES_H */

